Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Class RecipientKeyIdentifier

    java.lang.Object
      |
      +--com.dstc.security.cms.RecipientKeyIdentifier

public abstract class RecipientKeyIdentifier
extends Object
implements KeyAgreeRecipientIdentifier

A class to hold a recipient certificate's subject key identifier, and (optionally) any additional keying material used in a key agreement algorithm for a CMS EnvelopedData.

A RecipientKeyIdentifier is primarily used to identify an intended recipient of an encrypted content encryption key (for decrypting an encrypted message) through the recipient's certificate.

RecipientKeyIdentifier is defined in RFC2630 by the ASN.1 structure

         RecipientKeyIdentifier ::= SEQUENCE {
            subjectKeyIdentifier  SubjectKeyIdentifier,
            date                  GeneralizedTime OPTIONAL,
            other                 OtherKeyAttribute OPTIONAL }

See Also:
  `KeyAgreeRecipientIdentifier`, `RecipientEncryptedKey`, `SubjectKeyIdentifier`

Constructor Summary
`RecipientKeyIdentifier()`

Method Summary
`abstract SubjectKeyIdentifier` | `getSubjectKeyIdentifier()` Returns the SubjectKeyIdentifier for the certificate belonging to the recipient identified by this RecipientKeyIdentifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientKeyIdentifier

    public RecipientKeyIdentifier()

Method Detail

### getSubjectKeyIdentifier

    public abstract SubjectKeyIdentifier getSubjectKeyIdentifier()

  Returns the SubjectKeyIdentifier for the certificate belonging to the recipient identified by this RecipientKeyIdentifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD